"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var platform_browser_1 = require("@angular/platform-browser");
var core_1 = require("@angular/core");
var app_component_1 = require("./app.component");
var http_1 = require("@angular/common/http");
var core_2 = require("@ngx-translate/core");
var http_loader_1 = require("@ngx-translate/http-loader");
var forms_1 = require("@angular/forms");
var app_service_1 = require("./app.service");
function HttpLoaderFactory(http) {
    return new http_loader_1.TranslateHttpLoader(http, './i18n/', '.json');
}
exports.HttpLoaderFactory = HttpLoaderFactory;
var I18NModule = /** @class */ (function () {
    function I18NModule() {
    }
    I18NModule.decorators = [
        { type: core_1.NgModule, args: [{
                    declarations: [
                        app_component_1.I18NComponent
                    ],
                    imports: [
                        platform_browser_1.BrowserModule,
                        http_1.HttpClientModule,
                        forms_1.FormsModule,
                        core_2.TranslateModule.forRoot({
                            loader: {
                                provide: core_2.TranslateLoader,
                                useFactory: HttpLoaderFactory,
                                deps: [http_1.HttpClient]
                            }
                        })
                    ],
                    providers: [app_service_1.AppService],
                    bootstrap: [app_component_1.I18NComponent],
                    exports: [core_2.TranslateModule, app_component_1.I18NComponent]
                },] },
    ];
    return I18NModule;
}());
exports.I18NModule = I18NModule;
//# sourceMappingURL=app.module.js.map